version: "3.3"
services:
  soundcloud-docker:
    container_name: project-soundcloud
    build:
      context: .
      dockerfile: Dockerfile

  db:
    image: postgres:latest
    environment:
      - POSTGRES_USER=postgres
      - POSTGRES_PASSWORD=1234
      - POSTGRES_DATABASES=soundcloud
    volumes:
      - ./postgres-data:/var/lib/postgresql/data

    ports:
      - "5432:5432"

  web:
    image: nginx:latest
    command: gunicorn --bind 0.0.0.0:5000 run:app
    ports:
      - 5000:80
    depends_on:
      - db

volumes:
  postgres_data:
